Index: Thuban/Model/color.py
===================================================================
RCS file: /thubanrepository/thuban/Thuban/Model/color.py,v
retrieving revision 1.10
diff -u -r1.10 color.py
--- Thuban/Model/color.py	5 Aug 2003 12:38:52 -0000	1.10
+++ Thuban/Model/color.py	24 Jan 2005 22:53:25 -0000
@@ -8,6 +8,39 @@
 
 __version__ = "$Revision: 1.10 $"
 
+from string import atoi
+
+def hex2Color(color):
+    """Convert a string in the form '#rrggbb' to a Color
+
+    Returns None if color is invalid.
+    """ 
+    try:
+        if color and len(color) == 7 and color[0] == "#":
+            red   = atoi(color[1:3], 16)
+            green = atoi(color[3:5], 16)
+            blue  = atoi(color[5:8], 16)
+            return Color(red/255.0, green/255.0, blue/255.0)
+    except (ValueError):
+        pass
+
+    return None
+
+def Color2hex(color):
+    """Convert a Color object to a string on the form '#rrggbb'
+    Return None, if color is None or a bad object.
+    """
+
+    if color:
+        try:
+            return "#%02x%02x%02x" % (255 * color.red,
+                                      255 * color.green,
+                                      255 * color.blue)
+        except (AttributeError):
+            pass
+
+    return None
+
 class Color:
     """An RGB color. RGB values are floats in the range 0.0 .. 1.0
 
